# Add Shipping Info

When user initiates checkout, fire the below event.

**Event Name**

mp\_add\_shipping\_info

**Event Payload**

```
{
    event: {
      currency: 'INR', /* Currency of website */
      cart_id: '123', // mandatory
      value: 123.33, // float value of the item being viewed
      coupon: '<optional coupon>', // Leave this undefined if there is no coupon
      shipping_tier: '<optional>', // e.g. Ground, Air, Next-day
      shipping: 123.33, // total shipping value in float
      items: [/* Refer to Products Array page in reference below */],
      ev_source: '<Orign of the event>' // Example: Razorpay, Gokwik, etc.
    },
    customer_info: {
        pid: '<unique identifier representing user>',
        email: '<email address of user>',
        phone: '<phone number of user - no country code>',
        country: '<country code only>',
        city: '<city>',
        state: '<state>',
        fName: '<first name of user>',
        lName: '<last name of user>',
        zip: '<zip code>',
    },
    session_info: {
        /* Refer to Session Information page in reference below */
    }
}
```

{% content-ref url="/pages/shPp2T99nOk830TF3gkl" %}
[Products Array](/s2s/tracking-events/products-array.md)
{% endcontent-ref %}

{% content-ref url="/pages/crhBMNZAuGpFGvVmrI7F" %}
[Session Information](/s2s/tracking-events/session-information.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/s2s/tracking-events/add-shipping-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
